API reference
List cart shipping options
GET
/v1/carts/{cartToken}/shipping-optionsPath Parameters
cartToken*string
Opaque token identifying the cart.
Query Parameters
postalCode?string
scheduledDate?string
Format
datescheduledTime?string
Format
timeResponse Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/carts/string/shipping-options"{ "groups": [ { "sellerId": null, "shippingProfileId": null, "orderAmount": 0.1, "totalWeight": 0.1, "itemIds": [], "rates": [ { "shippingMethodId": "string", "name": "string", "displayName": "string", "type": "regular", "price": 0.1, "currency": "string", "sortOrder": 0, "rateId": null, "description": null, "deliveryLocationId": null, "deliveryLocationName": null, "deliveryLeadTimeInMinutes": null, "deliveryMinHours": null, "deliveryMaxHours": null, "deliveryInstructions": null, "deliveryPostalCodes": [ "string" ], "deliveryZoneName": null, "deliveryZonePostalCodes": [ "string" ], "deliveryZoneRadiusKm": null, "estimatedDeliveryDays": null, "estimatedDeliveryHours": null, "estimatedDeliveryFromDate": null, "estimatedDeliveryToDate": null, "isLiveQuote": true, "serviceCode": null, "serviceName": null, "metadata": {} } ] } ]}